summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-02-05 21:21:53 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2017-02-05 21:23:40 +0100
commit41c39ccfa9690651ef6f0c97db315e3638b5aa78 (patch)
tree3fb99ef5e1401c239f4355faa9738c66bb3de90c /gnustep-apps
parentgnustep-libs/sope: 3.2.6a bump (diff)
downloadgentoo-41c39ccfa9690651ef6f0c97db315e3638b5aa78.tar.gz
gentoo-41c39ccfa9690651ef6f0c97db315e3638b5aa78.tar.bz2
gentoo-41c39ccfa9690651ef6f0c97db315e3638b5aa78.zip
gnustep-apps/sogo: 3.2.6a bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'gnustep-apps')
-rw-r--r--gnustep-apps/sogo/Manifest1
-rw-r--r--gnustep-apps/sogo/sogo-3.2.6a.ebuild101
2 files changed, 102 insertions, 0 deletions
diff --git a/gnustep-apps/sogo/Manifest b/gnustep-apps/sogo/Manifest
index 5a2e4d4f410..744c5e7cfb3 100644
--- a/gnustep-apps/sogo/Manifest
+++ b/gnustep-apps/sogo/Manifest
@@ -2,3 +2,4 @@ DIST sogo-2.3.2.tar.gz 11440737 SHA256 236812a74afdd388a10edd9b2db27f4bf8e05818d
DIST sogo-3.0.2.tar.gz 25192947 SHA256 919115d7dace49c7fe2efbabda19f4c3c8b136d8972637d3b41f6d3550233e62 SHA512 620e58c8c2c574508c50fc7a8688fb7c8d05e655c47b1a74ba4acd9d1c8108d5d1db0926574ff3064314c90b3ab6cacd69976a2acae91ea7e8ce2af9559f1080 WHIRLPOOL fee7e7cac763e48dc9c7bb1d1ea60bed4c08d2968cecadec65889a7c22868955f3cf37738f47e0cc8af4cb02e5a7ad64878c9c505b1166b77f3593d1a28b09cb
DIST sogo-3.2.0.tar.gz 32138507 SHA256 502cdd8b6e3a6cb4dae612ab1f2a1324f8193b1bf9fbd74deba1220f20b890f5 SHA512 e1dd3d005ec77f04672fd5a4f40289c77da3fe7f0afd9996d5838d18c53181de070e298ebe3b7476032e1987a57ca0ebc181d32c41df97634cbc06588d042421 WHIRLPOOL 132a5822140a9463a353d21f791cf32dedc0ca008ec374710f8a1a1adc98e0dc98cc569efb346f462f2ba295f5fdbb38eea6ba967acf169e5c6fc6e68c3f1e1a
DIST sogo-3.2.1.tar.gz 32210103 SHA256 9faef922937f1413c1567e91cf865f577be43cc455c7124e3711bcdb49c7ded3 SHA512 0f8207d1f555982965870971f7130ad7868f4b904e3d6c8a2af9b0226820008174867a8515cd6e7775e9e0e4a3f1de98f73482425bec0c81b6d382ff9fe4a5ee WHIRLPOOL 529b03fd216289701d0af3a77236cc103693a366d597d6992c22d863bb9f7562462c906c1b2e78a72d922770dad953035b3e0c21d9ec3752ff7e8ac0d0bc7686
+DIST sogo-3.2.6a.tar.gz 32285592 SHA256 07ba2527dab193c5424bc0dd4a9fb53e266c68936011a7245bf5e81e97366a62 SHA512 9b24ab0111408f18e655a5b5ebfe251fc7b9c21914af1c2f2d23c27a7d2d635a8ec0c0119752c7757d2ed878db018c483a8516911e89f5892c1d8fa878418471 WHIRLPOOL d02f25a4360ceea3ccab8f40b3ec726a4ef7792afb412cf415874727abdce1c828e231058be80b3ec5c970c929a33dc3145b82fac8ec13ffdf8b7a9c7d5bc58a
diff --git a/gnustep-apps/sogo/sogo-3.2.6a.ebuild b/gnustep-apps/sogo/sogo-3.2.6a.ebuild
new file mode 100644
index 00000000000..d70941040b9
--- /dev/null
+++ b/gnustep-apps/sogo/sogo-3.2.6a.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnustep-2 user vcs-snapshot
+
+DESCRIPTION="Groupware server built around OpenGroupware.org and the SOPE application server"
+HOMEPAGE="http://www.sogo.nu"
+SRC_URI="https://github.com/inverse-inc/sogo/archive/SOGo-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gnutls libressl +ssl"
+
+RDEPEND="
+ dev-libs/libmemcached
+ net-misc/curl
+ net-misc/memcached
+ >=gnustep-libs/sope-${PV}[ldap]
+ gnutls? ( net-libs/gnutls:= )
+ !gnutls? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
+"
+DEPEND="${RDEPEND}
+ >=gnustep-base/gnustep-make-2.6.3"
+
+pkg_pretend() {
+ if use ssl && use gnutls && use libressl ; then
+ ewarn "You have enabled both gnutls and libressl, but only"
+ ewarn "one provider can be active. Using gnutls!"
+ fi
+}
+
+pkg_setup() {
+ enewuser sogo -1 /bin/bash /var/lib/sogo
+}
+
+src_prepare() {
+ gnustep-base_src_prepare
+ sed -e "s/validateArgs$//" -i configure \
+ || die "GNUstep.conf sed failed"
+
+ default
+}
+
+src_configure() {
+ local ssl_provider
+ if use ssl ; then
+ if use gnutls ; then
+ ssl_provider=gnutls
+ else
+ ssl_provider=ssl
+ fi
+ else
+ ssl_provider=none
+ fi
+
+ egnustep_env
+
+ ./configure \
+ --disable-strip \
+ --prefix=/usr \
+ --with-ssl="${ssl_provider}" \
+ $(use_enable debug) \
+ || die "configure failed"
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ newconfd "${FILESDIR}"/sogod.confd sogod
+ newinitd "${FILESDIR}"/sogod.initd sogod
+
+ insinto /etc/logrotate.d
+ newins Scripts/logrotate sogo
+ newdoc Apache/SOGo.conf SOGo-Apache.conf
+
+ insinto /etc/sogo
+ doins Scripts/sogo.conf
+
+ insinto /etc/cron.d
+ newins Scripts/sogo.cron sogo
+ keepdir /var/log/sogo
+
+ fowners sogo:sogo /var/log/sogo
+ fowners -R root:sogo /etc/sogo
+}
+
+pkg_postinst() {
+ gnustep-base_pkg_postinst
+ elog "SOGo documentation is available online at:"
+ elog "http://www.sogo.nu/downloads/documentation.html"
+ elog
+ elog "Apache sample configuration file is available in:"
+ elog "/usr/share/doc/${PF}"
+}